Set bucket default Open-With
Records the bucket's default app for the (content_type, extension) pair. Bucket admin only. An empty integration_id records 'use built-in preview'.
Authorization
OAuth2 upl:bucket:manageAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:bucket:manage
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?|
Reference to a bucket by ID or hostname
contentTypeId?string
Format
uuidextension?string
Empty string applies the default to all matches of the content type.
Length
length <= 32integrationId?string
Empty string explicitly records "no app — use built-in preview" for this pair.
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationsService/SetBucketDefaultOpenWith" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"default": {
"contentTypeId": "string",
"extension": "string",
"integrationId": "string",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}